package com.pcloud.book.book.dto;

import com.pcloud.common.dto.BaseDto;

import java.io.Serializable;
import java.util.Date;

/**
 * @author lily
 * @date 2019/2/13 17:26
 */
public class AdviserBookInfoDTO extends BaseDto {
    private Long bookId;

    private Long adviserId;

    private Long channelId;

    private String bookName;

    private String coverImg;

    private String isbn;

    private String serialNumber;

    private Date createdDate;

    /**
     * 编辑名称
     */
    private String adviserName;
    /**
     * 代理标识
     */
    private Long agentId;

    /**
     * 代理名称
     */
    private String agentName;

    public Long getBookId() {
        return bookId;
    }

    public void setBookId(Long bookId) {
        this.bookId = bookId;
    }

    public Long getAdviserId() {
        return adviserId;
    }

    public void setAdviserId(Long adviserId) {
        this.adviserId = adviserId;
    }

    public Long getChannelId() {
        return channelId;
    }

    public void setChannelId(Long channelId) {
        this.channelId = channelId;
    }

    public String getBookName() {
        return bookName;
    }

    public void setBookName(String bookName) {
        this.bookName = bookName;
    }

    public String getCoverImg() {
        return coverImg;
    }

    public void setCoverImg(String coverImg) {
        this.coverImg = coverImg;
    }

    public String getIsbn() {
        return isbn;
    }

    public void setIsbn(String isbn) {
        this.isbn = isbn;
    }

    public String getSerialNumber() {
        return serialNumber;
    }

    public void setSerialNumber(String serialNumber) {
        this.serialNumber = serialNumber;
    }

    public Date getCreatedDate() {
        return createdDate;
    }

    public void setCreatedDate(Date createdDate) {
        this.createdDate = createdDate;
    }

    public String getAdviserName() {
        return adviserName;
    }

    public void setAdviserName(String adviserName) {
        this.adviserName = adviserName;
    }

    public Long getAgentId() {
        return agentId;
    }

    public void setAgentId(Long agentId) {
        this.agentId = agentId;
    }

    public String getAgentName() {
        return agentName;
    }

    public void setAgentName(String agentName) {
        this.agentName = agentName;
    }

    @Override
    public String toString() {
        return "AdviserBookInfoDTO{" +
                "bookId=" + bookId +
                ", adviserId=" + adviserId +
                ", channelId=" + channelId +
                ", bookName='" + bookName + '\'' +
                ", coverImg='" + coverImg + '\'' +
                ", isbn='" + isbn + '\'' +
                ", serialNumber='" + serialNumber + '\'' +
                ", createdDate=" + createdDate +
                ", adviserName='" + adviserName + '\'' +
                ", agentId=" + agentId +
                ", agentName='" + agentName + '\'' +
                '}';
    }
}
